=== modified file 'phablet-config'
--- phablet-config	2015-11-02 15:06:50 +0000
+++ phablet-config	2015-11-17 22:25:46 +0000
@@ -236,24 +236,17 @@
 
 
 def _handle_edges_intro(adb, args):
-    fmt = 'dbus-send --system --print-reply --dest=org.freedesktop.Accounts ' \
-          '/org/freedesktop/Accounts/User32011 %s ' \
-          'string:com.canonical.unity.AccountsService string:demo-edges'
-    getter = fmt % 'org.freedesktop.DBus.Properties.Get'
-
-    enabled = adb.shell(getter).find('true') != -1
-    if args.enable and enabled:
-        print('already enabled')
-    elif not args.enable and not enabled:
-        print('already disabled')
-    else:
-        setter = 'true' if args.enable else 'false'
-        dbus_call = 'dbus-send --system --print-reply ' \
-                    '--dest=com.canonical.PropertyService ' \
-                    '/com/canonical/PropertyService ' \
-                    'com.canonical.PropertyService.SetProperty ' \
-                    'string:edge boolean:%s' % setter
-        adb.shell(dbus_call, False)
+    # Don't try to detect if edges are already enabled or not, since it's
+    # actually a spectrum (some edges might have been completed, others may
+    # not be) and rather than figure out exactly what the current state is,
+    # just set our preferred state.
+    setter = 'true' if args.enable else 'false'
+    dbus_call = 'dbus-send --system --print-reply ' \
+                '--dest=com.canonical.PropertyService ' \
+                '/com/canonical/PropertyService ' \
+                'com.canonical.PropertyService.SetProperty ' \
+                'string:edge boolean:%s' % setter
+    adb.shell(dbus_call, False)
 
 
 def _handle_welcome_wizard(adb, args):

